///
/// [TestError.UnexpectedResult] occurs when a conditional that should have been `true` was actually
/// `false`.
///
pub const TestError = error {
    UnexpectedResult,
};

///
/// Returns a [TestError] if `ok` is false.
///
pub fn expect(ok: bool) TestError!void {
    if (!ok) return error.UnexpectedResult;
}

test "expect" {
    try expect(true);

    expect(false) catch {};
}

pub const expectError = @import("std").testing.expectError;
